{
  "name": "smart-timetable-api",
  "version": "0.0.1",
  "description": "",
  "author": "khodorkovskyalexey",
  "private": false,
  "license": "MIT",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,test,seeds,factories}/**/*.ts\"",
    "lint:fix": "eslint \"{src,apps,test,seeds,factories}/**/*.ts\" --fix",
    "prettier:write": "prettier --write \"src/**/*.ts\"",
    "migration:make": "yarn knex migrate:make -- -x ts",
    "migration:up": "yarn knex migrate:up",
    "migration:latest": "yarn knex migrate:latest",
    "migration:rollback": "yarn knex migrate:rollback",
    "migration:down": "yarn knex migrate:down",
    "migration:list": "yarn knex migrate:list",
    "cp-env": "cp .env dist",
    "prepare": "husky install",
    "commit": "cz"
  },
  "dependencies": {
    "@nestjs/common": "^9.0.0",
    "@nestjs/config": "^2.2.0",
    "@nestjs/core": "^9.0.0",
    "@nestjs/platform-express": "^9.0.0",
    "class-validator": "^0.13.2",
    "husky": "^8.0.1",
    "joi": "^17.6.2",
    "knex": "^2.3.0",
    "objection": "^3.0.1",
    "pg": "^8.8.0",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^7.2.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.1.2",
    "@commitlint/config-conventional": "^17.1.0",
    "@nestjs/cli": "^9.0.0",
    "@nestjs/schematics": "^9.0.3",
    "@types/express": "^4.17.13",
    "@types/node": "^16.0.0",
    "@types/uuid": "^8.3.4",
    "@typescript-eslint/eslint-plugin": "^5.0.0",
    "@typescript-eslint/parser": "^5.0.0",
    "eslint": "^8.0.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "lint-staged": "^13.0.3",
    "prettier": "^2.3.2",
    "source-map-support": "^0.5.20",
    "ts-loader": "^9.2.3",
    "ts-node": "^10.0.0",
    "tsconfig-paths": "4.1.0",
    "typescript": "^4.7.4",
    "validate-branch-name": "^1.3.0"
  },
  "importSort": {
    ".js, .ts,": {
      "style": "module",
      "parser": "typescript"
    }
  },
  "config": {
    "commitizen": {
      "path": "cz-conventional-changelog"
    }
  }
}
